#ifndef IMAGEEMBEDDINGENGINE_H
#define IMAGEEMBEDDINGENGINE_H

#include <vector>
#include <string>
#include <functional>
#include <string>


using EmbeddingResultCallback = std::function<void(std::vector<float> result)>;
namespace ai_engine{
namespace tm {
namespace embedding{

class AbstractImageEmbeddingEngine{
public:
    virtual std::string engineName() const = 0;
    virtual bool isCloud() = 0;

    virtual std::string embeddingText(const std::string& input) = 0;
    virtual std::string embeddingImageFromImageFile(const std::string& file_path) = 0;
    virtual std::string embeddingImageFromBase64ImageData(const std::string& file_data) = 0;


    virtual void getEmbeddingResult(const std::string taskId, EmbeddingResultCallback callback) = 0;
};



} // namespace embedding
} // namespace tm
} // namespace ai_engine


#endif // TEXTEMBEDDINGENGINE_H

